
all: test bin

test: kifu-core/test-oneshot sgf/test-oneshot

bin: kifu-gtk 

kifu-core/dev:
	cd kifu/core && make test

kifu-core/test:
	cd kifu/core && make test

kifu-core/test-oneshot:
	cd kifu/core && make test-oneshot

kifu-gtk:
	cd kifu/gtk && make release

kifu-gtk/dev:
	cd kifu/gtk && make dev

kifu-pwa:
	cd kifu/pwa && make release

kifu-pwa/dev:
	pushd kifu/pwa && make dev

kifu-pwa/server:
	pushd kifu/pwa && make server
